Create an admin_block suppression for a hub
curl --request POST \
--url https://api.member.dev/v1/hubs/{hub_id}/email-suppressions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"email_address": "jsmith@example.com",
"reason": "admin_block"
},
"type": "email_suppressions"
}
}
'import requests
url = "https://api.member.dev/v1/hubs/{hub_id}/email-suppressions"
payload = { "data": {
"attributes": {
"email_address": "jsmith@example.com",
"reason": "admin_block"
},
"type": "email_suppressions"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {email_address: 'jsmith@example.com', reason: 'admin_block'},
type: 'email_suppressions'
}
})
};
fetch('https://api.member.dev/v1/hubs/{hub_id}/email-suppressions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"email_address": "<string>",
"is_active": true,
"reason": "<string>",
"scope": "<string>",
"suppressed_at": "<unknown>",
"hub_id": "<string>",
"lifted_at": null,
"lifted_by": "<string>",
"source_event_type": "<string>",
"team_id": "<string>"
},
"id": "<string>",
"links": {},
"type": "email_suppressions"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}email-suppressions-hub
Create an admin_block suppression for a hub
Create a manual admin_block suppression for a specific email address.
Scope is always ‘hub’. reason is always ‘admin_block’. hub_id comes from the URL path. source_event_type is ‘manual’.
team_id is resolved from the hub row (CHECK constraint requires hub-scope rows to have team_id NOT NULL). Returns 404 if the hub does not exist.
Returns 201 with the created resource on success, 404 if hub unknown, 422 on bad input.
POST
/
v1
/
hubs
/
{hub_id}
/
email-suppressions
Create an admin_block suppression for a hub
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
Successful Response
Single-resource JSON:API response.
JSON:API resource object for email-suppression.
Show child attributes
Show child attributes
⌘I